import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyGetSLaughterSubmitBuyingPriceStatus =
  createAsyncThunk(
    "PROVINCE_GET_SLAUGHTER_BUYING_PRICE_STATUS",
    async (d, { dispatch }) => {
      try {
        dispatch(LOADING_START());
        const { data, status } = await axios.get(
          "kill-house-price-permission/",
          {
            params: d,
          }
        );
        dispatch(LOADING_END());
        return { data, status };
      } catch (e) {
        dispatch(LOADING_END());
        return { error: e.response.data.result };
      }
    }
  );

export const provincePolicyEditSlaughterSubmitBuyingPriceStatus =
  createAsyncThunk(
    "PROVINCE_EDIT_SLAUGHTER_BUYING_PRICE_STATUS",
    async (d, { dispatch }) => {
      try {
        dispatch(LOADING_START());
        const { data, status } = await axios.put(
          "kill-house-price-permission/0/",
          d
        );
        dispatch(LOADING_END());
        return { data, status };
      } catch (e) {
        dispatch(LOADING_END());
        return { error: e.response.data.result };
      }
    }
  );
